# DATU Stellar fork validator roster and quorum structure.
#
# This file is mounted into the quickstart container at
# /opt/stellar/core/etc/quorumsets.toml so stellar-core consumes the
# custom quorum definition on boot. The layout mirrors the TOML syntax
# described in stellar-core's sample configuration.

[[HOME_DOMAINS]]
HOME_DOMAIN = "validators.datu.foundation"
QUALITY = "HIGH"

[[HOME_DOMAINS]]
HOME_DOMAIN = "validators.datu.foundation.backup"
QUALITY = "MEDIUM"

[[HOME_DOMAINS]]
HOME_DOMAIN = "validators.datu.foundation.audit"
QUALITY = "MEDIUM"

[[VALIDATORS]]
NAME = "datu-tier0-foundation"
HOME_DOMAIN = "validators.datu.foundation"
QUALITY = "HIGH"
PUBLIC_KEY = "GBVHRGLHPCZHHP47DY7WKOAFLKJEIF67O7L7O42OGWIJDITCSOXWEINY"
ADDRESS = "core-foundation.datu.foundation:11625"
HISTORY = "curl -sf https://history.datu.foundation/core-foundation/{0} -o {1}"

[[VALIDATORS]]
NAME = "datu-tier1-east"
HOME_DOMAIN = "validators.datu.foundation"
QUALITY = "HIGH"
PUBLIC_KEY = "GBHV6GP2UPHIQ27T5ANAU6ZQ23L7JFQLWZTIXEV4VXJT32J7Z6X7QR7E"
ADDRESS = "core-east.datu.foundation:11625"
HISTORY = "curl -sf https://history.datu.foundation/core-east/{0} -o {1}"

[[VALIDATORS]]
NAME = "datu-tier1-west"
HOME_DOMAIN = "validators.datu.foundation"
QUALITY = "HIGH"
PUBLIC_KEY = "GDUMHIOUG57CUX3BNBTWTNL5C7TBZO3N5LA4H4S67YHKYBNO22RKWPQ7"
ADDRESS = "core-west.datu.foundation:11625"
HISTORY = "curl -sf https://history.datu.foundation/core-west/{0} -o {1}"

[[VALIDATORS]]
NAME = "datu-tier1-south"
HOME_DOMAIN = "validators.datu.foundation"
QUALITY = "HIGH"
PUBLIC_KEY = "GD7KIZSLIA6Z5GXJW3I64DWTN7PX7TYVMY4PDLVXS53ANN253SXVJJCK"
ADDRESS = "core-south.datu.foundation:11625"
HISTORY = "curl -sf https://history.datu.foundation/core-south/{0} -o {1}"

[[VALIDATORS]]
NAME = "datu-tier2-audit"
HOME_DOMAIN = "validators.datu.foundation.audit"
QUALITY = "MEDIUM"
PUBLIC_KEY = "GDPCADHCULMM34TAB54G2CUC7K26ID7DNKSCK76DQY2QBTY2E7BUMJGL"
ADDRESS = "core-audit.datu.foundation:11625"
HISTORY = "curl -sf https://history.datu.foundation/core-audit/{0} -o {1}"

# Explicit quorum sets keep the validator ordering auditable even if the
# automatic generator changes. The top-level definition requires a
# supermajority of Tier 0/1 operators while still recognising the audit
# validator in recovery situations.
[QUORUM_SET]
THRESHOLD_PERCENT = 67
VALIDATORS = [
  "$self",
  "datu-tier0-foundation",
  "datu-tier1-east",
  "datu-tier1-west",
  "datu-tier1-south",
  "datu-tier2-audit"
]

[QUORUM_SET.1]
THRESHOLD_PERCENT = 75
VALIDATORS = [
  "datu-tier0-foundation",
  "datu-tier1-east",
  "datu-tier1-west",
  "datu-tier1-south"
]

[QUORUM_SET.2]
THRESHOLD_PERCENT = 67
VALIDATORS = [
  "datu-tier1-west",
  "datu-tier1-south",
  "datu-tier2-audit"
]
